Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] main/libbsd: improve abuild

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Sat, 27 Aug 2016 10:45:26 -0400

---
 main/libbsd/APKBUILD | 24 +++++++++---------------
 1 file changed, 9 insertions(+), 15 deletions(-)
diff --git a/main/libbsd/APKBUILD b/main/libbsd/APKBUILD
index f58a03f..51b93c2 100644
--- a/main/libbsd/APKBUILD
+++ b/main/libbsd/APKBUILD
_at_@ -3,33 +3,27 @@
 # Maintainer: William Pitcock <nenolod_at_dereferenced.org>
 pkgname=libbsd
 pkgver=0.8.1
-pkgrel=0
+pkgrel=1
 pkgdesc="commonly-used BSD functions not implemented by all libcs"
 url="http://libbsd.freedesktop.org/"
 arch="x86 x86_64"
 license="BSD"
 depends=""
-depends_dev=""
-makedepends="$depends_dev autoconf automake libtool bsd-compat-headers
-	linux-headers"
-install=""
+makedepends="autoconf automake libtool bsd-compat-headers linux-headers"
 subpackages="$pkgname-dev $pkgname-doc"
 source="http://libbsd.freedesktop.org/releases/$pkgname-$pkgver.tar.xz
 	musl-fixes.patch"
 
-_builddir="$srcdir"/libbsd-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
+	default_prepare || return 1
+
+	cd "$builddir"
 	autoreconf -fi || return 1
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -43,8 +37,8 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" -C "$builddir" \
+		install || return 1
 }
 
 md5sums="f3daff0283af6e30f25d68be2deac4ef  libbsd-0.8.1.tar.xz
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Aug 27 2016 - 10:45:26 GMT